Summary: The GateD routing daemon.
Name: gated
Version: 3.6
Release: 4mdk
License: distributable
Group: System/Servers
Source0: ftp://ftp.gated.org/net-research/gated/gated-3-6.tar.bz2
Source1: gated.init
Source2: gated-conf-3.5.11.tar.bz2
Source3: gated-docs-3.5.11.tar.bz2
Source4: gated-man-3.5.11.tar.bz2
Source5: gated-3.5.10-gated.conf
#Patches:
# - 0: safe cast
# - 1: disable scram, whatever this stands for...
# - 2: Makefile fix
# - 3: doc fixes
# - 4: fix multi line strings
Patch0: gated-3.5.11-rh70.patch.bz2
Patch1: gated-3.6-noscram.patch.bz2
Patch2: gated-3.6-installfix.patch.bz2
Patch3: gated-3.6-paths.patch.bz2
Patch4: gated-3.6-gcc-3.3.patch.bz2
BuildRequires: byacc db3-devel flex
BuildRoot: %{_tmppath}/%{name}-buildroot
#BuildConflicts: bison

Prereq: rpm-helper
Url: http://www.gated.org/
Conflicts: routed

%description
GateD is a modular software program consisting of core services, a
routing database, and protocol modules which support multiple routing
protocols (RIP versions 1 and 2, DCN HELLO, OSPF version 2, EGP version 2,
BGP versions 2 through 4).  GateD is designed to handle dynamic routing
with a routing database built from the information exchanged by routing
protocols.

Install gated if you need a routing daemon.

%prep
%setup -q -n gated-public-3_6 -a 2 -a 3 -a 4
%patch0 -p1
%patch1 -p1
%patch2 -p1
%patch3 -p1
%patch4 -p1 -b .gcc3.3
aclocal ; automake -a --foreign ; autoheader ; autoconf
# Remove docs for unsupported statements which are not reachable from 
rm doc/config_guide/{dvmrp,igmp,pim,rdisc}_stmt.html


%build
%configure2_5x --enable-dist \
	   --enable-inet \
	   --enable-bgp \
	   --enable-egp \
	   --enable-icmp \
	   --enable-rip \
	   --enable-ospf \
	   --enable-rdisc

make depend

# this stuff is all screwed up
make || :

make -C src/smux
make -C src/krt
make -C src/krt_os
make -C src/krt_multi
make -C src/gii
make -C src/icmp
make -C src/inet
make -C src/ospf
make -C src/rdisc
make -C src/rip
make -C src/gatedcompat
make

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall

mkdir -p ${RPM_BUILD_ROOT}/%{_initrddir}
install -c -m 0755 %SOURCE1 ${RPM_BUILD_ROOT}/%{_initrddir}/gated

mkdir -p ${RPM_BUILD_ROOT}%{_mandir}/man8
install man/*8 ${RPM_BUILD_ROOT}%{_mandir}/man8

mkdir -p ${RPM_BUILD_ROOT}%{_sbindir}
install src/gdc/gdc ${RPM_BUILD_ROOT}%{_sbindir}
install src/ripquery/ripquery ${RPM_BUILD_ROOT}%{_sbindir}
install src/ospf_monitor/ospf_monitor ${RPM_BUILD_ROOT}%{_sbindir}

# sample config file
cp %{SOURCE5} ./gated.conf.sample


%clean
rm -rf ${RPM_BUILD_ROOT}

%post
/sbin/ldconfig
%_post_service %name

%preun
%_preun_service %name


%files
%defattr(-,root,root)
%doc CHANGES README VERSION  gated.conf.sample
%doc conf doc
%config(noreplace) %{_initrddir}/gated
%{_sbindir}/gdc
%{_sbindir}/ripquery
%{_sbindir}/ospf_monitor
%{_sbindir}/gated
%{_mandir}/man8/*.8*

%changelog
* Wed Jul 23 2003 Per yvind Karlsen <peroyvind@sintrax.net> 3.6-4mdk
- rebuild
- fix no-prereq-on rpm-helper (rpmlint)
- fix gcc-3.3 build (P4)

* Fri Jan  3 2003 Arnaud de Lorbeau <adelorbeau@mandrakesoft.com> 3.6-3mdk
- Rebuild
- Add manuals
- Add noreplace tag on init script

* Sat Dec  1 2001 Jeff Garzik <jgarzik@mandrakesoft.com> 3.6-2mdk
- BuildConflicts: bison (produces buggy parser)
- BuildRequires: s/bison/byacc/
- use %%configure2_5x
- pass --foreign to automake, this package is not GPL (automake default)

* Fri Oct 05 2001 Francis Galiegue <fg@mandrakesoft.com> 3.6-1mdk
- Complete revamp, shamefully stolen from RH's 3.6-10 package
- Macros
- s,condrestart,restart,g in init script

* Tue Sep 11 2001 Stefan van der Eijk <stefan@eijk.nu> 3.5.11-8mdk
- BuildRequires: bison db3-devel egcs flex

* Fri Aug 31 2001 Guillaume Cottenceau <gc@mandrakesoft.com> 3.5.11-7mdk
- rebuild to fix MISSING_DEPENDENCIES


* Tue Apr 03 2001 Francis Galiegue <fg@mandrakesoft.com> 3.5.11-6mdk

- Use of %%_{post,preun}_service


* Wed Aug 30 2000 Francis Galiegue <fg@mandrakesoft.com> 3.5.11-5mdk

- Conflicts: routed

* Sun Aug 06 2000 Stefan van der Eijk <s.vandereijk@chello.nl> 3.5.11-4mdk
- macroszifications
- BM

* Fri May 26 2000 Adam Lebsack <adam@mandrakesoft.com> 3.5.11-3mdk
- ppc va_arg patch

* Thu May 18 2000 Denis Havlik <denis@mandrakesoft.com> 3.5.11-2mdk
- forced install of gdc (gated does not start withouth it) 

* Fri Mar 31 2000 John Buswell <johnb@mandrakesoft.com> 3.5.11-1mdk
- 3.5.11
- fixed groups
- spec helper

* Wed Nov 10 1999 John Buswell <johnb@mandrakesoft.com>
- Fixed version in specfile
- Build Release

* Tue May 11 1999 Bernhard Rosenkraenzer <bero@mandrakesoft.com>
- Mandrake adaptions

* Thu Apr 08 1999 Preston Brown <pbrown@redhat.com>
- sample config script and init script are world readable

* Wed Mar 31 1999 Jeff Johnson <jbj@redhat.com>
- kernel-2.2 changed /proc/net/route (#1894)

* Sun Mar 21 1999 Cristian Gafton <gafton@redhat.com> 
- auto rebuild in the new build environment (release 7)

* Tue Dec 15 1998 Jeff Johnson <jbj@redhat.com>
- use /var/gated for generated files to avoid d-o-s attacks.

* Mon Dec  7 1998 Jeff Johnson <jbj@redhat.com>
- merge in patches from Matthew Grant <grantma@anathoth.gen.nz> (#6)

* Sun Dec  6 1998 Jeff Johnson <jbj@redhat.com>
- fix init script (#35).

* Thu Sep 03 1998 Cristian Gafton <gafton@redhat.com>
- version 3.5.10

* Tue May 05 1998 Prospector System <bugs@redhat.com>
- translations modified for de, fr, tr

* Wed Apr 22 1998 Michael K. Johnson <johnsonm@redhat.com>
- enhanced initscript

* Wed Apr 08 1998 Cristian Gafton <gafton@redhat.com>
- upgraded to 3.5.9

* Thu Jan  8 1998 Cristian Gafton <gafton@redhat.com>
- upgraded to 3.5.8
- added glibc patch to aid glibc's brain-dead define of IFF_ constants 
  as enums instead of #defines
- we install now gated.conf.sample instead of gated.conf, so gated won't be
  started accidentaly anymore

* Tue Oct 27 1997 Cristian Gafton <gafton@redhat.com>
- build against glibc; added BuildRoot
